%global momorel 2

Name:           perl-MooseX-Traits-Pluggable
Version:        0.10
Release:        %{momorel}m%{?dist}
Summary:        Extension to MooseX::Traits
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/MooseX-Traits-Pluggable/
Source0:        http://www.cpan.org/authors/id/R/RK/RKITOVER/MooseX-Traits-Pluggable-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Class-MOP >= 0.84
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-List-MoreUtils
BuildRequires:  perl-Moose
BuildRequires:  perl-Moose-Autobox
BuildRequires:  perl-MooseX-Traits
BuildRequires:  perl-namespace-autoclean
BuildRequires:  perl-Scalar-List-Util
BuildRequires:  perl-Test-use-ok
BuildRequires:  perl-Test-Exception
BuildRequires:  perl-Test-Simple
Requires:       perl-Class-MOP >= 0.84
Requires:       perl-List-MoreUtils
Requires:       perl-Moose
Requires:       perl-Moose-Autobox
Requires:       perl-MooseX-Traits
Requires:       perl-namespace-autoclean
Requires:       perl-Scalar-List-Util
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
See MooseX::Traits for usage information.

%prep
%setup -q -n MooseX-Traits-Pluggable-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/MooseX/Traits/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.10-2m)
- full rebuild for mo7 release

* Sun Jul 25 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.10-1m)
- update to 0.10

* Thu Jun 10 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.09-1m)
- update to 0.09

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.08-5m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.08-4m)
- rebuild against perl-5.12.0

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.08-3m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.08-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Fri Aug 28 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.08-1m)
- update to 0.08

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.07-2m)
- rebuild against perl-5.10.1

* Tue Jul 28 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.07-1m)
- update to 0.07

* Thu Jun 18 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.04-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
